# SwitchBox class

inherited from: | Box
protocols: | AutoRelease
package: | gui
declared in: | gui/interface/SwitchBox.tcl
implemented in: | gui/implementation/SwitchBox.tcl

- instance variables
  - fieldValueList
  - imageOff
  - imageOn
- instance selectors
  - add:
  - add:withValue:
  - clear
  - contains:
  - items
  - items:
  - list
  - list:
  - loadFromFile:
  - onChange
  - onChange:
  - remove:
  - sort
  - switchOff:
  - switchOn:
  - toggle:
  - valueChangeFor:
  - valueOf:
  - valueOf:to:
  - values
  - values: